#!/bin/bash

# Check for correct number of arguments
if [ "$#" -ne 4 ]; then
    echo "Usage: $0 TTL_PUB TTL_PRIV TTL_FRONTPAGE TTL_FEED"
    exit 1
fi

# Assigning input parameters to variables
TTL_PUB=$1
TTL_PRIV=$2
TTL_FRONTPAGE=$3
TTL_FEED=$4

# CD into WordPress directory
cd /var/www/webroot/ROOT

# Run wp-cli  
wp litespeed-option set cache-ttl_pub "$TTL_PUB"
wp litespeed-option set cache-ttl_priv "$TTL_PRIV" 
wp litespeed-option set cache-ttl_frontpage "$TTL_FRONTPAGE"
wp litespeed-option set cache-ttl_feed "$TTL_FEED"

echo "Cache settings updated successfully."

